package com.lzmispt.data.resource.service.collectiontool.impl;

package .tmp;

import com.lzmispt.data.center.entity.dto.resource.metadata.DataBrowseQueryDTO;
import com.lzmispt.data.resource.entity.dto.collectiontool.SaveExcelSheetParamDTO;
import com.lzmispt.data.resource.service.collectiontool.IExcelCollection;
import com.lzmispt.data.resource.service.collectiontool.IResAndDataExcelCollection;
import com.lzmispt.dcbase.ServiceUtil;
import com.lzmispt.dcbase.dcconst.DCConst;
import com.lzmispt.framework.entity.entity.ResultEntity;
import java.util.Map;
import javax.servlet.http.HttpServletResponse;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

@Service
public class IResAndDataExcelCollectionImpl implements IResAndDataExcelCollection {
  public ResultEntity<String> checkTemplateForRes(Long id, String platCode, String tokenId, Map cache, Boolean isUseCache) {
    return ((IExcelCollection)ServiceUtil.getExcelCollectionImplManager(platCode, IExcelCollection.class)).checkTemplate(id, platCode, tokenId, null, Boolean.valueOf(false), DCConst.DataResourceCategory.RES);
  }
  
  public ResultEntity<String> checkTemplateForData(Long id, String platCode, String tokenId, Map cache, Boolean isUseCache) {
    return ((IExcelCollection)ServiceUtil.getExcelCollectionImplManager(platCode, IExcelCollection.class)).checkTemplate(id, platCode, tokenId, null, Boolean.valueOf(false), DCConst.DataResourceCategory.DATA);
  }
  
  public ResultEntity<String> checkTemplateByDirectoryIdForRes(Long directoryId, String platCode, String tokenId) {
    return ((IExcelCollection)ServiceUtil.getExcelCollectionImplManager(platCode, IExcelCollection.class)).checkTemplateByDirectoryId(directoryId, platCode, tokenId, DCConst.DataResourceCategory.RES);
  }
  
  public ResultEntity<String> checkTemplateByDirectoryIdForData(Long directoryId, String platCode, String tokenId) {
    return ((IExcelCollection)ServiceUtil.getExcelCollectionImplManager(platCode, IExcelCollection.class)).checkTemplateByDirectoryId(directoryId, platCode, tokenId, DCConst.DataResourceCategory.DATA);
  }
  
  public ResultEntity<String> downLoadExcelTemplateForRes(HttpServletResponse response, Long templateId, String platCode, String tokenId, Map cache, Boolean isUseCache) {
    return ((IExcelCollection)ServiceUtil.getExcelCollectionImplManager(platCode, IExcelCollection.class)).downLoadExcelTemplate(response, templateId, platCode, tokenId, null, Boolean.valueOf(false), DCConst.DataResourceCategory.RES);
  }
  
  public ResultEntity<String> downLoadExcelTemplateForData(HttpServletResponse response, Long templateId, String platCode, String tokenId, Map cache, Boolean isUseCache) {
    return ((IExcelCollection)ServiceUtil.getExcelCollectionImplManager(platCode, IExcelCollection.class)).downLoadExcelTemplate(response, templateId, platCode, tokenId, null, Boolean.valueOf(false), DCConst.DataResourceCategory.DATA);
  }
  
  public ResultEntity<String> downLoadExcelTemplateByDirectoryIdForRes(HttpServletResponse response, Long directoryId, String platCode, String tokenId) {
    return ((IExcelCollection)ServiceUtil.getExcelCollectionImplManager(platCode, IExcelCollection.class)).downLoadExcelTemplateByDirectoryId(response, directoryId, platCode, tokenId, DCConst.DataResourceCategory.RES);
  }
  
  public ResultEntity<String> downLoadExcelTemplateByDirectoryIdForData(HttpServletResponse response, Long directoryId, String platCode, String tokenId) {
    return ((IExcelCollection)ServiceUtil.getExcelCollectionImplManager(platCode, IExcelCollection.class)).downLoadExcelTemplateByDirectoryId(response, directoryId, platCode, tokenId, DCConst.DataResourceCategory.DATA);
  }
  
  public ResultEntity importExcelByDirectoryIdForRes(HttpServletResponse response, MultipartFile file, Long directoryId, String platCode, String tokenId) {
    return ((IExcelCollection)ServiceUtil.getExcelCollectionImplManager(platCode, IExcelCollection.class)).importExcelByDirectoryId(response, file, directoryId, platCode, tokenId, DCConst.DataResourceCategory.RES);
  }
  
  public ResultEntity importExcelByDirectoryIdForData(HttpServletResponse response, MultipartFile file, Long directoryId, String platCode, String tokenId) {
    return ((IExcelCollection)ServiceUtil.getExcelCollectionImplManager(platCode, IExcelCollection.class)).importExcelByDirectoryId(response, file, directoryId, platCode, tokenId, DCConst.DataResourceCategory.DATA);
  }
  
  public ResultEntity<Boolean> saveExcelSheetsForRes(SaveExcelSheetParamDTO saveExcelSheetParamDTO, String platCode) {
    return ((IExcelCollection)ServiceUtil.getExcelCollectionImplManager(platCode, IExcelCollection.class)).saveExcelSheets(saveExcelSheetParamDTO, platCode, DCConst.DataResourceCategory.RES);
  }
  
  public ResultEntity<Boolean> saveExcelSheetsForData(SaveExcelSheetParamDTO saveExcelSheetParamDTO, String platCode) {
    return ((IExcelCollection)ServiceUtil.getExcelCollectionImplManager(platCode, IExcelCollection.class)).saveExcelSheets(saveExcelSheetParamDTO, platCode, DCConst.DataResourceCategory.DATA);
  }
  
  public ResultEntity<String> exportToExcelByDirectoryIdForData(DataBrowseQueryDTO dataBrowseQueryDTO, HttpServletResponse response, Long directoryId, String platCode, String tokenId) {
    return ((IExcelCollection)ServiceUtil.getExcelCollectionImplManager(platCode, IExcelCollection.class)).exportToExcelByDirId(dataBrowseQueryDTO, response, directoryId, platCode, tokenId, null, DCConst.DataResourceCategory.DATA);
  }
  
  public ResultEntity<String> exportToExcelByDirectoryIdForRes(DataBrowseQueryDTO dataBrowseQueryDTO, HttpServletResponse response, Long directoryId, String platCode, String tokenId) {
    return ((IExcelCollection)ServiceUtil.getExcelCollectionImplManager(platCode, IExcelCollection.class)).exportToExcelByDirId(dataBrowseQueryDTO, response, directoryId, platCode, tokenId, null, DCConst.DataResourceCategory.RES);
  }
}
